API ReferenceCWT
Update CWT credential revocation status
POST
/v2/credentials/compact/{id}/revocation-statusUpdates the credential status as revoked (invalid) or unrevoked (valid).
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_REVOCATION_SET_STATUS_STARTCREDENTIAL_COMPACT_REVOCATION_SET_STATUS_SUCCESSCREDENTIAL_COMPACT_REVOCATION_SET_STATUS_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Unique credential identifier.
Request Body
application/json
Update revocation status
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v2/credentials/compact/string/revocation-status" \ -H "Content-Type: application/json" \ -d '{ "isRevoked": true }'{ "id": "string", "isRevoked": true}How would you rate this page?